  using System;
  using System.Collections.Generic;
  
  using System.Web;
  using System.Web.UI;
  using System.Web.UI.WebControls;
  
  public partial class Request : System.Web.UI.Page
  {
      protected void Page_Load(object sender, EventArgs e)
      {
          Response.Write("当前应用程序根目录的实际路径：");
          Response.Write(Request.【PhysicalApplicationPath】);
          Response.Write("<Br>");
          Response.Write("当前页面所在的虚拟目录及文件名称：");
          Response.Write(Request.【CurrentExecutionFilePath】);
          Response.Write("<Br>");
          Response.Write("当前页面所在的实际目录及文件名称：");
          Response.Write(Request.【PhysicalPath】);
          Response.Write("<Br>");
          Response.Write("当前页面的Url：");
          Response.Write(Request.【Url】);
          Response.Write("<Br>");
          Response.Write("客户端IP地址：");
          Response.Write(Request.【UserHostAddress】);
      }
  }

--答案--
   CurrentExecutionFilePath   PhysicalApplicationPath   PhysicalPath   UserHostAddress